<?php

use Illuminate\Auth\UserTrait;
use Illuminate\Auth\UserInterface;
use Illuminate\Auth\Reminders\RemindableTrait;
use Illuminate\Auth\Reminders\RemindableInterface;

class MCQCourse extends Eloquent {

	
	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	protected $table = 'mcq_courses';
	protected $primaryKey='course_id';

	public Static function getUserCourses($session_id,$user_id,$course_id = null)
    {
        try
        {  
            $where = "";
            
            if(isset($course_id))
            {
                $where = $where." and c.course_id=".$course_id;
            }
            
            $courses = DB::select("SELECT c.*,uc.is_non_exam_category,sum(case when a.mcq_option_id is not null then 1 else 0 end) as completed_count 
            							FROM mcq_courses c
            						inner join (select distinct course_id from mcq where session_id = $session_id ) m on m.course_id = c.course_id 
									left join mcq_users_answers a on a.course_id   = c.course_id and a.user_id = $user_id 
									left join mcq_users_courses uc on uc.course_id = c.course_id and uc.user_id = $user_id 
									where c.is_visible =1 and (1+1)  $where
                                    group by c.course_id;
                                    ");

           return $courses;

        } catch (Exception $e)
        {
            Log::error('Models: MCQCourse  -> getUserCourses '.$e->getMessage());
            return null;
        }
    }


	public Static function getUserCoursesCompletedCount($user_id,$course_id)
    {
        try
        {    
        //     $counts = DB::select("SELECT sum(case when a.user_id is not null then 1 else 0 end) as completed_count, sum(case when a.is_skip is not null then 1 else 0 end) as skippted_count 
        //     							FROM urbanedg_mcq.mcq_courses c
								// 	inner join mcq_users_answers a on a.course_id = c.course_id and a.user_id = $user_id and c.course_id = $course_id
								// 		group by c.course_id;");
								
			  $counts = DB::select("SELECT sum(case when a.user_id is not null then 1 else 0 end) as completed_count,count(mcq.mcq_id) as question_count, sum(case when a.is_skip is not null then 1 else 0 end) as skippted_count
            							FROM urbanedg_mcq.mcq_courses c
                                    left join mcq on mcq.course_id = c.course_id    
									left join mcq_users_answers a on a.mcq_id = mcq.mcq_id and a.user_id =$user_id
                                    where c.course_id =$course_id
										group by c.course_id;");					

           	return isset($counts[0])? $counts[0]:null;

        } catch (Exception $e)
        {
            Log::error('Models: MCQCourse  -> getUserCoursesCompletedCount '.$e->getMessage());
            return null;
        }
    }



    // public Static function getCurrentCourses($course_id)
    // {
    //     try
    //     {    
    //         $courses = DB::select("SELECT c.*,sum(case when a.user_id is not null then 1 else 0 end) as completed_count 
    //                                     FROM urbanedg_mcq.mcq_courses c
    //                                 inner join (select distinct course_id from mcq where session_id = $session_id ) m on m.course_id = c.course_id 
    //                                 left join mcq_users_answers a on a.course_id = c.course_id and a.user_id = $user_id
    //                                 group by c.course_id;
    //                                 ");

    //        return $courses;

    //     } catch (Exception $e)
    //     {
    //         Log::error('Models: MCQCourse  -> getUserCourses '.$e->getMessage());
    //         return null;
    //     }
    // }

	
}
