<?php
/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

URL::forceSchema("https"); 

Route::get('mcq_result/{course_id}','ResultController@GetResult'); 

Route::group(array('before' => 'evaluator'), function()
{

    // viva marks entry - Jan 06 ,2023
    Route::get('viva_marks/{course_id}','VIVAMarkController@MarkEnryForm'); 
    Route::post('get_user_data/{course_id}','VIVAMarkController@GetUserData'); 
    Route::post('save_viva_marks/{course_id}/{user_id}','VIVAMarkController@SaveVivaMarks'); 
    Route::get('viva_mark_index/{course_id}','VIVAMarkController@GetVivaMarkIndex'); 
    Route::get('viva_mark_logout/{course_id}','VIVAMarkController@LogoutVIVAMarkPage'); 
    
});    
Route::group(array('before' => 'workshop'), function()
{
    // workshop marks entry - Jan 27 ,2023
    Route::get('workshop_marks/{course_id}','WSMarkController@MarkEnryForm'); 
    Route::post('workshop_get_user_data/{course_id}','WSMarkController@GetUserData'); 
    Route::post('save_workshop_marks/{course_id}/{user_id}','WSMarkController@SaveWorkshopMarks'); 
    Route::get('workshop_mark_index/{course_id}','WSMarkController@GetWorkshopMarkIndex'); 
    Route::get('workshop_mark_logout/{course_id}','WSMarkController@LogoutWorkshopMarkPage'); 
    

});




Route::get('course-time/{course_id}','ResultController@CourseTime'); 
Route::post('course-time','ResultController@PostCourseTime'); 

Route::get('export_result/{course_id}','ResultController@ExportResult'); 
Route::get('/tests', function()
{
    echo "hi";
    exit;
 		
});         


Route::group(array('before' => 'session'), function()
{
	Route::get('logout/{session_id}/{key}','UserController@Logout'); 


	Route::get('login/{session_id}/{key}','UserController@Login'); 

	//MCQ Steps
	Route::group(array('before' => 'auth'), function()
	{
		Route::get('courses/{session_id}/{key}','MCQController@userCourses'); 

		Route::get('/profile/{session_id}/{key}','UserController@getProfile'); 
		Route::post('/profile/{session_id}/{key}','UserController@postProfile'); 


		Route::get('mcq/{course_id}/{mcq_id?}','MCQController@MCQRandomGet'); 
		Route::post('mcq/{course_id}/{mcq_id}','MCQController@MCQRandomPost'); 
		
		// Updated  on 02,Jan 2023 for non-exam category application
		Route::get('mcq_exam_category/{session_id}/{key}/{course_id}','MCQController@GetNonExamUpdate'); 
		Route::post('mcq_exam_category/{session_id}/{key}','MCQController@PostNonExamUpdate'); 
		
// 		Route::get('question_index/{course_id?}/{mcq_id?}','MCQController@QuestionIndex'); 
	});

      
	//API
	Route::any('/api/user/send_otp','UserController@SendOTP'); 
	Route::any('/api/user/verify_otp','UserController@VerifyOTP'); 
	
	// API For evaluator
	
    

});


Route::get('evaluator_login/{session_id}/{key}','UserController@EvaluatorLogin'); 
Route::post('post_evaluator_login/{session_id}/{key}','UserController@PostEvaluatorLogin'); 



Route::get('workshop_login/{session_id}/{key}','UserController@WorkshopLogin'); 
Route::post('post_workshop_login/{session_id}/{key}','UserController@PostWorkshopLogin'); 



Route::get('/thankyou','MCQController@thankyou'); 

Route::get('/msg','MCQController@msg'); 







//Defualt url
Route::get('/{session_id}/{key}','MCQController@index'); 

Route::get('/user/question_index/{course_id}','MCQController@QuestionIndex'); 

// 	EvaluatorSendOTP
Route::any('/api/user/evaluator_send_otp','UserController@EvaluatorSendOTP'); 
Route::any('/api/user/evaluator_verify_otp','UserController@EvaluatorVerifyOTP'); 


Route::any('/api/user/workshop_send_otp','UserController@WorkshopSendOTP'); 
Route::any('/api/user/workshop_verify_otp','UserController@WorkshopVerifyOTP'); 






