<?php
  $session = Sessions::getSession();
?>

<!doctype html>
<html>
<head>

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

@if(isset($session))
   <title>{{ $session->session_header }}</title>
@else
   <title>MCQ</title>
@endif

<link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">

<link href="{{ asset('css/style.css') }}" rel="stylesheet">
<link href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css" rel="stylesheet">


<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<script src="{{ asset('/js/jquery.min.js') }}"></script>

<script src="{{ asset('/js/popper.min.js') }}"></script>
<script src="{{ asset('/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('/js/jquery.validate.js') }}"></script>




<style type="text/css">
  .logo
  {
    max-height: 100px;
  }
  
  @media only screen and (max-width: 600px) {
  .logo img
  {
    width : auto;  
    height: 50%;
  }
}
</style>

<script type="text/javascript">
  var baseUrl="{{ url('/') }}";
</script>
<noscript>
    <style type="text/css">
        .container {display:none;}
    </style>
    <div class="noscriptmsg">
      Poll works best with JavaScript enabled    
    </div>
</noscript>
</head>



<body>
<header  >
    <div class="row mt-1 justify-content-center align-self-center p-2" style="background-color:#efeded5c;">
      <div class="col-4 col-lg-6 col-sm-6 col-md-6 text-left img-fluid logo "> <img src="{{ asset('images/iages_logo.png') }}" alt="Logo" width="75" height="auto" > </div>
      <div class="col-8 col-lg-6 col-sm-6 col-md-6 caption text-right  " style="display: flex;justify-content: right;align-items: center;">
          <h2 class="text-success">{{$results->course_name}}</h2>
      </div>
    </div>
  </header>
    <div class="row mt-1" >
        <div class="col-lg-3"></div>
        <div class="col-lg-6">
             <div class="card" id="card2">
                 <div class="card-body bg-light border border-grey">
                     <div class="row">
                         <div class="col-6">
                             <h3>Welcome!  {{ $evaluator["full_name"] }}</h3>
                         </div>
                         <div class="col-6 text-right">
                             <a href="{{ url('/workshop_mark_logout/'.base64_encode($course_id)) }}">Logout</a>
                         </div>
                     </div>
                     <hr>
    	          <form id="mcqdata" method="POST">
        				<label for="email">Enter the email id of the candidate:</label>
        				<input type="hidden" name="course_id" id="course_id" value="{{ $course_id }}">
        			
                         
                         
                         
                         <div class="input-group">
                                <input type="search" id="email" name="email" class="form-control" placeholder="Enter your registered email-id"/>

                              <button type="button" class="btn btn-primary" id="btn_search">
                                <i class="fa fa-search"></i>
                              </button>
                            </div>
                            <br/>
                            <div class="text-right">
                                <input type="button" class="btn btn-info" id="viva_mark_btn" value="Workshop Mark Index" />
                            </div>    
                         
                        <label for="msg" id="msg_label" style="display:none;"></label>
                        
                        <div id="mark_form_div" style="display:none;">
                             <div  class="mt-3">
                	                <label>Name &nbsp;: &nbsp;</label> <label><strong  id="full_name_label"><b> {{ $prefix or ''}} {{ $full_name  or '' }}</b></strong></label><br>
                	                <label>Email &nbsp;&nbsp;: &nbsp;</label><label><strong  id="email_label"> <b> {{  $email  or '' }}</b></strong></label><br>
                	               <label>Mobile : &nbsp;</label><label><strong  id="mobile_label"><b> {{  $mobile  or '' }}</b></strong></label><br>
                               </div><br><br>
                                <label style="text-align:center">Enter marks (Max 50)</label>
            	           <input type="number" name="mark" id="mark"  class="form-control" data-maxlength="2" oninput="this.value=this.value.slice(0,this.dataset.maxlength)">
            	           <br><br>
            	           <label style="text-align:center">Enter remarks, if any</label>
            	           <textarea type="text" name="remark" id="remark" class="form-control"></textarea><br>
            	           <input type="hidden" name="user_id" id="user_id" value="{{ $user_id}}">
        	              <button type="button" class="btn btn-success" id="save_btn" class="btn_save">Save</button>
        	            </div>   
                    </form>
    			</div> <!--card body end -->
    		</div> <!--card  end -->
	    	
	       </div>
	       <div class="col-lg-3"></div>
       </div> <!-- row div end -->
       
       <br/>
       
       <div class="row">
           <div class="col-lg-12 col-md-12 col-sm-12">
               <div class="card">
                   <div class="card-body bg-light mobile-responsive" id="viva_mark_index_div" style="display:none;">
                       
                   </div>
               </div>
           </div>
        </div>   
       
      </body>  	            
  <script type="text/javascript">
	$(document).ready(function(){
	    var baseUrl = "<?php echo url('/'); ?>";
	
        $("#btn_search").click(function()
        {
              var email     = $("#email").val();
              var course_id = $("#course_id").val();
              var url_1 = baseUrl+"/workshop_get_user_data/"+course_id;
            if(email.length == 0)
               {
                alert("Please enter email-id.");
                return false;
                 }
            else
                {
                    $.ajax({
                              type: 'POST', // <-- get method of form
                              url: url_1, // <-- get action of form
                              
                              data:  {'email':email,'course_id':course_id},
                              success: function(reposnse){
                               var data_1 = reposnse.data;
                             var msg       = reposnse.msg;
                             $("#viva_mark_index_div").css("display" ,"none");

                             if (msg == "success")
                             {
                                 $("label[for='msg']").css("display","none");
                                 $("#mark_form_div").css("display","block");
                                  $("#full_name_label").empty();
                                  $("#email_label").empty();
                                  $("#mobile_label").empty();
                                  $("#user_id").empty();
                                  
                                  
                                   $("#mark").empty();
                                   $("#remark").empty();
                                  
                                  
                                
                                  $("#full_name_label").text((data_1.full_name == null?'':data_1.full_name));
                                  $("#email_label").text((data_1.email == null?'':data_1.email));
                                  $("#mobile_label").text((data_1.mobile == null?'':data_1.mobile));
                                 $("#user_id").val(data_1.user_id);
                                 
                                 
                                 $("#mark").val(data_1.viva_marks);
                                 $("#remark").val(data_1.viva_remarks);
                             }  
                             else
                             {
                                 $("label[for='msg']").css("display","block");
                                 $("#mark_form_div").css("display" ,"none");
                                $("label[for='msg']").text("Record does not exist..").css('color','red');
                             }
                             $('#email').val('');                
                            },
                            error: function(XMLHttpRequest, textStatus, errorThrown) { 
                            }                      
                        }); 
            }
        });
        
        
        $("#save_btn").click(function()
        {
      		var course_id  = $("#course_id").val();
      		var user_id    = $("#user_id").val();
      		var mark       = $("#mark").val();
      		var remark     = $("#remark").val();
      		var url_1 = baseUrl+"/save_workshop_marks/"+course_id+"/"+user_id;
      		if(mark.length == 0)
               {
                alert("Please enter the mark.");
                return false;
               }
           
            else
            {
                    if(mark > 50)
                    {
                        alert("Please enter the mark less than or equal to 50 .");
                        return false;
                    }
                    else
                    {
                        $.ajax({
                           type: 'POST', // <-- get method of form
                          url: url_1,
                          data:  {'course_id':course_id,'user_id':user_id,'mark':mark,'remark':remark},
                          success: function(reposnse){
                              var data_1 = reposnse.data;
                              var msg       = reposnse.msg;
                              $("#viva_mark_index_div").css("display" ,"none");
                              if(msg == 'success')
                              {
                                   alert("Mark saved successfully");
                                   $("#mark").empty();
                                   $("#remark").empty();
                                   $("label[for='msg']").css("display","none");
                                   $("#mark_form_div").css("display" ,"none");
                              }
                              else
                              {
                                   alert(msg);
                                   $("#mark").empty();
                                   $("#remark").empty();
                                   $("label[for='msg']").css("display","none");
                                   $("#mark_form_div").css("display" ,"none");
                              }
                          }
                        });
                    }
                
            }
      		
  	});
  	
  	
  	
  	$("#viva_mark_btn").click(function()
        {
      		var course_id  = $("#course_id").val();
      	
      		var url_1 = baseUrl+"/workshop_mark_index/"+course_id;
      		$.ajax({
               type: 'GET', // <-- get method of form
              url: url_1,
              data:  {'course_id':course_id},
              success: function(reposnse){
                  var data_1 = reposnse.data;
                  var msg       = reposnse.msg;
                  if(msg == 'success')
                  {

                       $("#viva_mark_index_div").empty();
                       $("#viva_mark_index_div").html(data_1.html_data);
                       $("label[for='msg']").css("display","none");
                       $("#mark_form_div").css("display" ,"none");
                       $("#viva_mark_index_div").css("display" ,"block");
                       
                  }
                  else
                  {
                    //   alert(msg);
                       $("#viva_mark_index_div").empty();
                       $("#viva_mark_index_div").html(data_1.html_data);
                       $("label[for='msg']").css("display","none");
                       $("#mark_form_div").css("display" ,"none");
                       $("#viva_mark_index_div").css("display" ,"block");
                  }
              }
            });
  	   });

	});

</script>

</html>